SdFat

Public Attributes | List of all members
longDirectoryEntry Struct Reference

FAT long directory entry. More...

`#include <FatStructs.h>`

## Public Attributes
uint8_t | attr
uint8_t | chksum
uint16_t | mustBeZero
uint16_t | name1 [LDIR_NAME1_DIM]
uint16_t | name2 [LDIR_NAME2_DIM]
uint16_t | name3 [LDIR_NAME3_DIM]
uint8_t | ord
uint8_t | type

## Detailed Description

FAT long directory entry.

## Member Data Documentation

## ◆ attr

uint8_t longDirectoryEntry::attr

Attributes - must be ATTR_LONG_NAME

## ◆ chksum

uint8_t longDirectoryEntry::chksum

Checksum of name in the short dir entry at the end of the long dir set.

## ◆ mustBeZero

uint16_t longDirectoryEntry::mustBeZero

Must be ZERO. This is an artifact of the FAT "first cluster"

## ◆ name1

uint16_t longDirectoryEntry::name1[LDIR_NAME1_DIM]

Characters 1-5 of the long-name sub-component in this entry.

## ◆ name2

uint16_t longDirectoryEntry::name2[LDIR_NAME2_DIM]

Characters 6-11 of the long-name sub-component in this entry.

## ◆ name3

uint16_t longDirectoryEntry::name3[LDIR_NAME3_DIM]

Characters 12 and 13 of the long-name sub-component in this entry.

## ◆ ord

uint8_t longDirectoryEntry::ord

The order of this entry in the sequence of long dir entries associated with the short dir entry at the end of the long dir set.

If masked with 0X40 (LAST_LONG_ENTRY), this indicates the entry is the last long dir entry in a set of long dir entries. All valid sets of long dir entries must begin with an entry having this mask.

## ◆ type

uint8_t longDirectoryEntry::type

If zero, indicates a directory entry that is a sub-component of a long name. NOTE: Other values reserved for future extensions.

Non-zero implies other directory entry types.

The documentation for this struct was generated from the following file:

- Arduino/libraries/SdFat/src/FatLib/FatStructs.h